# HG changeset patch
# Node ID f726140e4970
# Parent  5ebb4beb29b7
diff --git a/protocols/ircv3/meson.build b/protocols/ircv3/meson.build
--- a/protocols/ircv3/meson.build
+++ b/protocols/ircv3/meson.build
@@ -1,38 +1,25 @@
 IRCV3_SOURCES = [
-	'purpleircv3capabilities.c',
 	'purpleircv3connection.c',
 	'purpleircv3core.c',
-	'purpleircv3ctcp.c',
-	'purpleircv3formatting.c',
-	'purpleircv3message.c',
 	'purpleircv3messagehandlers.c',
-	'purpleircv3parser.c',
 	'purpleircv3protocol.c',
 	'purpleircv3protocolconversation.c',
-	'purpleircv3sasl.c',
-	'purpleircv3source.c',
 ]
 
 IRCV3_HEADERS = [
-	'purpleircv3capabilities.h',
 	'purpleircv3connection.h',
-	'purpleircv3constants.h',
 	'purpleircv3core.h',
-	'purpleircv3ctcp.h',
-	'purpleircv3formatting.h',
-	'purpleircv3message.h',
 	'purpleircv3messagehandlers.h',
-	'purpleircv3parser.h',
 	'purpleircv3protocol.h',
 	'purpleircv3protocolconversation.h',
-	'purpleircv3sasl.h',
-	'purpleircv3source.h',
 ]
 
 if not DYNAMIC_IRCV3
 	subdir_done()
 endif
 
+ibis_dep = dependency('ibis')
+
 ircv3_filebase = f'purple-@purple_major_version@-ircv3'
 
 ircv3_includes = include_directories('.')
@@ -64,14 +51,14 @@
 ircv3_prpl = shared_library('ircv3', IRCV3_SOURCES + IRCV3_HEADERS + [ircv3_h],
 	c_args : ['-DPURPLE_IRCV3_COMPILATION', '-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-IRCv3"'],
 	gnu_symbol_visibility : 'hidden',
-	dependencies : [birb_dep, libpurple_dep, glib, gio, hasl],
+	dependencies : [birb_dep, libpurple_dep, glib, gio, hasl, ibis_dep],
 	install : true,
 	install_dir : PURPLE_PLUGINDIR)
 
 ircv3_dep = declare_dependency(
 	sources : [IRCV3_SOURCES, IRCV3_HEADERS],
 	include_directories : ircv3_includes,
-	dependencies : [birb_dep, libpurple_dep, glib, gio, hasl])
+	dependencies : [birb_dep, libpurple_dep, glib, gio, hasl, ibis_dep])
 
 pkgconfig.generate(
 	# we purposely don't put the library here because you should not be
@@ -101,14 +88,12 @@
 	gnome.generate_gir(
 		ircv3_introspection_stub,
 		sources : [IRCV3_SOURCES, IRCV3_HEADERS],
-		includes : ['Birb-1.0', 'GLib-2.0', 'GObject-2.0', 'GPlugin-1.0', libpurple_gir[0]],
+		includes : ['Birb-1.0', 'GLib-2.0', 'GObject-2.0', 'GPlugin-1.0', 'Ibis-1.0', libpurple_gir[0]],
 		namespace : 'PurpleIRCv3',
 		symbol_prefix : 'purple_ircv3',
 		nsversion : '1.0',
 		install : true,
-		dependencies: [birb_dep, gplugin_dep],
+		dependencies: [birb_dep, gplugin_dep, ibis_dep],
 		export_packages : ['ircv3'],
 		extra_args : ['-DPURPLE_IRCV3_COMPILATION', '--verbose'])
 endif
-
-subdir('tests')
diff --git a/protocols/ircv3/purpleircv3connection.h b/protocols/ircv3/purpleircv3connection.h
--- a/protocols/ircv3/purpleircv3connection.h
+++ b/protocols/ircv3/purpleircv3connection.h
@@ -36,6 +36,8 @@
 
 #include <purple.h>
 
+#include <ibis.h>
+
 #include "purpleircv3version.h"
 
 G_BEGIN_DECLS
@@ -46,9 +48,6 @@
 G_DECLARE_DERIVABLE_TYPE(PurpleIRCv3Connection, purple_ircv3_connection,
                          PURPLE_IRCV3, CONNECTION, PurpleConnection)
 
-#include "purpleircv3capabilities.h"
-#include "purpleircv3message.h"
-
 struct _PurpleIRCv3ConnectionClass {
 	/*< private >*/
 	PurpleConnectionClass parent;
@@ -68,48 +67,17 @@
 G_GNUC_INTERNAL void purple_ircv3_connection_register(GPluginNativePlugin *plugin);
 
 /**
- * purple_ircv3_connection_emit_ctcp_request:
+ * purple_ircv3_connection_get_client:
  * @connection: The instance.
- * @conversation: The conversation.
- * @message: The message.
- * @command: The CTCP command.
- * @parameters: (nullable): The CTCP parameters.
  *
- * Emits the [signal@Connection:ctcp-request] signal with the given @command
- * and @parameters which originated from @message in @conversation.
+ * Gets the [class@Ibis.Client] from @connection.
  *
- * The message may be modified by a signal handler. For example, the default
- * handler will output an internationalized string that describes what command
- * was requested.
- *
- * Returns: %TRUE if the request was handled and the message should not be
- *          echoed, otherwise %FALSE.
+ * Returns: (transfer none): The client instance if connected, otherwise %NULL.
  *
  * Since: 3.0
  */
-G_GNUC_INTERNAL gboolean purple_ircv3_connection_emit_ctcp_request(PurpleIRCv3Connection *connection, PurpleConversation *conversation, PurpleMessage *message, const char *command, const char *parameters);
-
-/**
- * purple_ircv3_connection_emit_ctcp_response:
- * @connection: The instance.
- * @conversation: The conversation.
- * @message: The message.
- * @command: The CTCP command.
- * @parameters: (nullable): The CTCP parameters.
- *
- * Emits the [signal@Connection:ctcp-response] signal with the given @command
- * and @parameters which originated from @message in @conversation.
- *
- * The message may be modified by a signal handler. For example, the default
- * handler will output an internationalized string that describes what the
- * response was.
- *
- * Returns: %TRUE if the request was handled and the message should not be
- *          echoed, otherwise %FALSE.
- *
- * Since: 3.0
- */
-G_GNUC_INTERNAL gboolean purple_ircv3_connection_emit_ctcp_response(PurpleIRCv3Connection *connection, PurpleConversation *conversation, PurpleMessage *message, const char *command, const char *parameters);
+PURPLE_AVAILABLE_IN_3_0
+IbisClient *purple_ircv3_connection_get_client(PurpleIRCv3Connection *connection);
 
 /**
  * purple_ircv3_connection_writef:
@@ -125,29 +93,6 @@
 void purple_ircv3_connection_writef(PurpleIRCv3Connection *connection, const char *format, ...) G_GNUC_PRINTF(2, 3);
 
 /**
- * purple_ircv3_connection_get_capabilities:
- * @connection: The instance.
- *
- * Gets the list of capabilities that the server supplied during registration.
- *
- * Returns: (transfer none): The list of capabilities that the server supports.
- */
-PurpleIRCv3Capabilities *purple_ircv3_connection_get_capabilities(PurpleIRCv3Connection *connection);
-
-/**
- * purple_ircv3_connection_get_registered:
- * @connection: The instance.
- *
- * Gets whether or not the connection has finished the registration process.
- *
- * Returns: %TRUE if registration has been completed otherwise %FALSE.
- *
- * Since: 3.0
- */
-PURPLE_IRCV3_AVAILABLE_IN_ALL
-gboolean purple_ircv3_connection_get_registered(PurpleIRCv3Connection *connection);
-
-/**
  * purple_ircv3_connection_add_status_message:
  * @connection: The instance.
  * @message: The message.
@@ -157,7 +102,7 @@
  * Since: 3.0
  */
 PURPLE_IRCV3_AVAILABLE_IN_ALL
-void purple_ircv3_connection_add_status_message(PurpleIRCv3Connection *connection, PurpleIRCv3Message *message);
+void purple_ircv3_connection_add_status_message(PurpleIRCv3Connection *connection, IbisMessage *message);
 
 /**
  * purple_ircv3_connection_is_channel:
